# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


Name:           jersey
Version:        1.1.5.1
Release:        1%{?dist}
Epoch:          0
Summary:        JAX-RS Reference Implementation
License:        GPL 2.0, CDDL
Group:          Development/Java
URL:            http://jersey.java.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Source0:        jersey-1.1.5.1.tgz

BuildRequires:  java-1_7_0-openjdk
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8

Requires:  java-1_7_0-openjdk
Requires:  ant >= 0:1.7.1

%description
Jersey is the open source, production quality, JAX-RS (JSR
311) Reference Implementation for building RESTful Web 
services. But, it is also more than the Reference 
Implementation. Jersey provides an API so that developers 
may extend Jersey to suit their needs. 

%prep
%setup -q 

%build
cur_dir=$(pwd)
export MAVEN_OPTS="-Xmx1048m -XX:PermSize=64M -XX:MaxPermSize=128M"
export http_proxy_host=10.239.120.37
export http_proxy_port=911
mkdir -p .m2
cd jersey-client
mvn -s ../settings.xml -DproxySet=true -DproxyHost=$http_proxy_host -DproxyPort=$http_proxy_port  -Dmaven.test.skip=true clean install
cd ../jersey-core
mvn -s ../settings.xml -DproxySet=true -DproxyHost=$http_proxy_host -DproxyPort=$http_proxy_port  -Dmaven.test.skip=true clean install
cd ../jersey-json
mvn -s ../settings.xml -DproxySet=true -DproxyHost=$http_proxy_host -DproxyPort=$http_proxy_port  -Dmaven.test.skip=true clean install
cd ../jersey-tests
mvn -s ../settings.xml -DproxySet=true -DproxyHost=$http_proxy_host -DproxyPort=$http_proxy_port  -Dmaven.test.skip=true clean install
cd $cur_dir

%install
rm -rf $RPM_BUILD_ROOT

# jars, poms and depmap frags
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 jersey-client/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.jersey-client.pom

install -m 644 jersey-client/target/jersey-client-1.1.5.1.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/jersey-client-1.1.5.1.jar
install -m 644 .m2/repository/com/sun/jersey/jersey-server/1.1.5.1/jersey-server-1.1.5.1.jar \
	       $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-client/target/jersey-client-1.1.5.1.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-client/target/jersey-client-1.1.5.1-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-client/target/jersey-client-1.1.5.1-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-json/target/jersey-json-1.1.5.1-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-json/target/jersey-json-1.1.5.1.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-tests/target/jersey-tests-1.1.5.1.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-core/target/jersey-core-1.1.5.1.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 jersey-core/target/jersey-core-1.1.5.1-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jersey-client-1.1.5.1.jar
%{_javadir}/%{name}/jersey-client-1.1.5.1.jar
%{_javadir}/%{name}/jersey-server-1.1.5.1.jar
%{_javadir}/%{name}/jersey-client-1.1.5.1.jar
%{_javadir}/%{name}/jersey-client-1.1.5.1-javadoc.jar
%{_javadir}/%{name}/jersey-client-1.1.5.1-sources.jar
%{_javadir}/%{name}/jersey-json-1.1.5.1-javadoc.jar
%{_javadir}/%{name}/jersey-json-1.1.5.1.jar
%{_javadir}/%{name}/jersey-tests-1.1.5.1.jar
%{_javadir}/%{name}/jersey-core-1.1.5.1.jar
%{_javadir}/%{name}/jersey-core-1.1.5.1-javadoc.jar
%{_datadir}/maven2/poms/JPP.jersey-client.pom

%changelog
* Thu Oct 06 2011 Ralph Apel <r.apel@r-apel.de> 0:1.1.5.1-1
- first release

